summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/reproducible_maintenance.sh8
-rw-r--r--logparse/reproducible.rules1
2 files changed, 9 insertions, 0 deletions
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index 430b5d93..851384be 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -328,6 +328,14 @@ if [ ! -z "$PSCALL" ] ; then
echo
fi
+# find builds which should not be there
+RESULTS=$(pgrep -f reproducible_build.sh --parent 1 || true)
+if [ ! -z "$RESULTS" ] ; then
+ DIRTY=true
+ echo "Warning: found reproducible_build.sh processes which have pid 1 as parent (and not sshd), thus something went wrong… please investigate."
+ echo -e "$RESULTS"
+
+fi
# remove artifacts older than a day
echo "$(date -u) - Checking for artifacts older than a day."
diff --git a/logparse/reproducible.rules b/logparse/reproducible.rules
index dbd54bcc..09ccbfe5 100644
--- a/logparse/reproducible.rules
+++ b/logparse/reproducible.rules
@@ -7,6 +7,7 @@ warning /Warning: .+ contains invalid yaml, please fix./
warning /Warning: lock .+ still exists, exiting./
warning /Warning: Tried, but failed to delete these:/
warning /Warning: processes found which should not be there/
+warning /Warning: found reproducible_build.sh processes which have pid 1 as parent.+/
warning /Warning: Found files with bad permissions.+/
warning /Warning: .+ could not be fully removed.+/
warning /Warning: cannot update html pages for.+/